import Message from "./Message.js";
import b4a from "b4a";

class IconMessage extends Message {
    constructor(peerName, peerAvatar, timestamp) {
        super("icon", peerName, peerAvatar, null, timestamp);
    }

    toJsonString() {
        return JSON.stringify({
            ...this.toJson()
        });
    }

    static new(bot, avatarBuffer) {
        return new IconMessage(bot.botName, b4a.toString(avatarBuffer, 'base64'), Date.now());
    }
}

export default IconMessage;
